Name: jai
Version: 1.1.2
Release: alt0.M24.1

%define distversion	1_1_2
%define doc_distversion	1_1
%define arch i586

Summary: Java Advanced Imaging API
Group: Development/Java
License: Sun Binary Code License
Url: http://java.sun.com/products/java-media/jai/

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

%def_without javadoc

#%define javadir		%_datadir/java
#%define javadocdir	%_datadir/javadoc

Source0: %name-%distversion-lib-%_target_os-%arch.tar.gz
%if_with javadoc
Source1: %name-%doc_distversion-mr-doc.zip
%endif

BuildArch: %arch

BuildPreReq: java-common >= 1.2 rpm-build-java

Requires: java-common >= 1.2

%set_verify_elf_method textrel=relaxed

%description
The JavaTM Advanced Imaging application programming interface (API)
enables developers to easily incorporate high-performance,
network-enabled, scalable, platform-independent image processing into
Java technology-based applications and applets.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -q -n %name-%distversion
%__chmod 0644 *.txt

%if_with javadoc
%setup -q -n %name-%distversion -D -T -a 1
%endif

%install

%__mkdir_p %buildroot%_javadir/%name
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_libdir

%if_with javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%endif

# jars
%__install -m 0644 lib/*.jar %buildroot%_javadir/%name

# libs
%__install -m 0755 lib/*.so %buildroot%_libdir

# javadoc
%if_with javadoc
%__cp -r %name-apidocs/* %buildroot%_javadocdir/%name
%endif

%__cp *.txt %buildroot%_docdir/%name-%version

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_docdir/%name-%version
%_javadir/%name
%_libdir/*.so

%if_with javadoc
%files javadoc
%_javadocdir/%name
%endif

%changelog
* Thu Apr 14 2005 Alexey Borovskoy <alb@altlinux.ru> 1.1.2-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Sun Mar 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt1
- Ported to Sisyphus from the JPackage project
